[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TCustomControlCodeEvEvent

## Declaration

Source position: daemonapp.pp line 78

`type TCustomControlCodeEvEvent = procedure(`
`Sender: TCustomDaemon;`
`ACode: DWord;`
`AEventType: DWord;`
`AEventData: Pointer;`
`var Handled: Boolean`
`) of object;`

## Arguments

`Sender` |  | Daemon instance for the event notification
`ACode` |  | Control code sent to the daemon
`AEventType` |  | Event type for the notification
`AEventData` |  | Pointer to the arbitrary data for the notification
`Handled` |  | True if the control code and event type were handled

## Description

TCustomControlCodeEvEvent is the type used for the OnControlCodeEvent property in TDaemon.